Public Member Functions | Package Functions

# BinNavi.API.debug.ProcessListenerAdapter Class Reference

Adapter class for target processes. More...

Inheritance diagram for BinNavi.API.debug.ProcessListenerAdapter:

List of all members.

## Public Member Functions
void | addedThread (Process process, Thread thread)
| Signals the creation of a new thread.
void | attached (Process process)
| Signals successful attaching to the target process.
void | changedMemoryMap (Process process, MemoryMap memoryMap)
| Signals new information about the target process memory.
void | changedTargetInformation (Process process)
| Signals new information about the target process.
void | detached (Process process)
| Signals successful detaching from the target process.
void | removedModule (Process process, MemoryModule module)
| Signals the unloading of a loaded module.
void | removedThread (Process process, Thread thread)
| Signals the destruction of an existing thread.
## Package Functions
void | addedModule (Process process, MemoryModule module)
| Signals that a new module was loaded.

## Detailed Description

Adapter class that can be used by objects that want to listen on processes but only need to process few events.

## Member Function Documentation

void BinNavi.API.debug.IProcessListener.addedModule | ( | Process | process,
|  | MemoryModule | module |
| ) |  |  | `[package, inherited]`

Invoked after a new module was loaded into the address space of the target process.

Parameters:

  | process | The target process.
  | module | The loaded module.

void BinNavi.API.debug.IProcessListener.addedThread | ( | Process | process,
|  | Thread | thread |
| ) |  |  | `[inherited]`

Invoked after the target process created a new thread.

Parameters:

  | process | The target process.
  | thread | The new thread.

void BinNavi.API.debug.IProcessListener.attached | ( | Process | process | ) | `[inherited]`

Invoked after the debugger attached to the target process.

Parameters:

  | process | The target process.

void BinNavi.API.debug.IProcessListener.changedMemoryMap | ( | Process | process,
|  | MemoryMap | memoryMap |
| ) |  |  | `[inherited]`

Invoked after the known memory map of the target process changed. This event is generally invoked after the debugger sent an updated memory map to BinNavi.

Parameters:

  | process | The target process.
  | memoryMap | The new memory map of the target process.

void BinNavi.API.debug.IProcessListener.changedTargetInformation | ( | Process | process | ) | `[inherited]`

Invoked after the target information of the target process changed. This event is generally only invoked once, shortly after the debugger attached to the target process.

Parameters:

  | process | The target process.

void BinNavi.API.debug.IProcessListener.detached | ( | Process | process | ) | `[inherited]`

Invoked after the debugger detached from the target process.

Parameters:

  | process | The target process.

void BinNavi.API.debug.IProcessListener.removedModule | ( | Process | process,
|  | MemoryModule | module |
| ) |  |  | `[inherited]`

Invoked after a module was unloaded from the address space of the target process.

Parameters:

  | process | The target process.
  | module | The module that was unloaded.

void BinNavi.API.debug.IProcessListener.removedThread | ( | Process | process,
|  | Thread | thread |
| ) |  |  | `[inherited]`

Invoked after a thread of the target process was closed.

Parameters:

  | process | The target process.
  | thread | The closed thread.